Plesk\backup\Agent\Schema\Backup\Ftpuser\FtpuserAType:
    properties:
        name:
            expose: true
            access_type: public_method
            serialized_name: name
            accessor:
                getter: getName
                setter: setName
            xml_attribute: true
            type: string
        externalId:
            expose: true
            access_type: public_method
            serialized_name: external-id
            accessor:
                getter: getExternalId
                setter: setExternalId
            xml_attribute: true
            type: string
        sysuser:
            expose: true
            access_type: public_method
            serialized_name: sysuser
            xml_element:
                cdata: false
            accessor:
                getter: getSysuser
                setter: setSysuser
            type: Plesk\backup\Agent\Schema\Backup\Sysuser
        permission:
            expose: true
            access_type: public_method
            serialized_name: permission
            xml_element:
                cdata: false
            accessor:
                getter: getPermission
                setter: setPermission
            xml_list:
                inline: true
                entry_name: permission
            type: array<string>
